首页 Python正文

tensorflow-gpu2.3版本安装步骤

Admin Python 2021-04-28 07:04:12 442

一、硬件要求

首先,TensorFlow-gpu不同于CPU版本的地方在于,GPU版本必须有GPU硬件的支撑。TensorFlow对NVIDIA显卡的支持较为完备。
对于NVIDIA显卡,要求对于其算力不低于3.5。算力参考:

http://developer.nvidia.com/cuda-gpus

驱动版本注意:NVIDIA驱动程序需要418.x或者更高的版本。可以在命令行中输入

nvidia-smi

命令查看驱动版本。

在这里插入图片描述

我们可以看到我们的驱动程序满足上述条件。于是我们可以开始正式安装tensorflow-gpu了。

TensorFlow-gpu版本有两个重要的依赖库,分别是CUDA和cudnn。下面我首先来介绍CUDA的安装方法。
对于tensorflow-gpu2.3.0版本来说,对于CUDA的版本需要是10.1,cudnn版本号需要不小于7.6

二、 CUDA和cudnn的安装

1、查看本机的CUDA驱动适配版本

桌面右键打开英伟达控制面板,点击帮助->系统信息->组件

在这里插入图片描述

可以看到本机支持的是CUDA 10.2 版本,表示是不支持更高版本的。如果你升级了驱动,可能会支持更高版本,也可能不会提升。

所以就必须安装 10.2 及以下的版本,即我们可以正常安装CUDA10.1版本。

2、下载CUDA和cuDNN

CUDA10.1下载页面:

https://developer.nvidia.com/cuda-10.1-download-archive-base

cuDNN下载页面:

https://developer.nvidia.com/rdp/cudnn-archive

记得一定要下载与你所下载的CUDA版本相匹配的版本,这里我下载的是

在这里插入图片描述

3、安装CUDA和cudnn

找到你下载的CUDA,无脑点击下一步安装就行了。当然如果你想自定义的话要记住你选择的安装路径。本人推荐使用默认的安装地址。

CUDA安装完成后,打开命令行窗口,执行nvcc -V ,成功的话会返回cuda版本号。

在这里插入图片描述

解压cuDNN压缩包,可以看到bin、include、lib目录

在这里插入图片描述

打开 C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA,这个是你CUDA安装的默认地址,如果自定义了安装路径,请打开你自定义的路径。

在这里插入图片描述

找到你安装的版本目录,打开,找到bin、include、lib目录,将cuDNN压缩包内对应的文件复制到bin、include、lib目录。

注意:是复制文件到bin、include、lib目录,不是复制目录。

4、添加环境变量

你需要在系统环境变量的Path项下添加几个路径

在这里插入图片描述

点击:新建
复制粘贴下列两个路径即可

C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v10.1\bin
C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v10.1\libnvvp

最后点击确定即可

注意:选择你安装的路径,我使用的是默认的安装路径,所以是上面两个路径,如果是自定义的路径,请填写自己选择的路径。

5、检查安装结果

打开命令行窗口,在命令行窗口输入以下命令

cd C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v10.2\extras\demo_suite
//然后输入下一行命令
.\bandwidthTest.exe

若出现以下信息,说明CUDA已经cuDNN安装成功

在这里插入图片描述

三、TensorFlow-gpu 2.3.0版本的安装

打开以管理员身份命令行窗口,执行以下命令

pip install -i https://pypi.douban.com/simple/ tensorflow-gpu==2.3.0//使用豆瓣源来安装

注意:一定要以管理员身份打开命令行窗口,否则会出现拒绝访问的错误!!!

等待安装完成后,输入pip list查看自己安装的tensorflow版本。

最后,编辑代码

import tensorflow as tf
print(tf.test.is_gpu_available())

若输出true则表示,安装成功。

在这里插入图片描述

四、写在最后

在文中,本人并未重新创建一个环境安装tensorflow2.3.0,由于tensorflow1.x版本与2.x版本差距较大,网上代码使用的版本有时是1.x有时是2.x,所以本人建议,大家再创建一个环境,参照以上步骤安装一下tensorflow1.x的版本。以备不时之需。

到此这篇关于tensorflow-gpu2.3版本安装步骤的文章就介绍到这了,更多相关tensorflow gpu版本安装内容请搜索以前的文章或继续浏览下面的相关文章希望大家以后多多支持!

© 编程脚本学习网